/* ON / OFF UI BUTTONS */

.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 30px;
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #e5e5e5;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 22px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #0073aa;
}

input:focus + .slider {
  box-shadow: 0 0 1px #0073aa;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* END - ON / OFF UI BUTTONS */

.cloud-customer-area-options-page input[type=text] {
    width: 100%;
}

.cloud-customer-area-options-page .cloud-customer-area-notice {
    display: inline-flex;
    padding: 10px 20px 10px 10px;
    border: 1px solid #ccc;
    background: #e5e5e5;
    margin-top: 20px;
    font-weight: bold;
}

.cloud-customer-area-options-page .cloud-customer-area-notice .notice-icon {
    font-family: dashicons;
    font-weight: 400;
    width: 30px;
    margin-right: 10px;
    text-align: center;
    font-size: 1.5rem;
}

.cloud-customer-area-options-page .cloud-customer-area-notice.notice-success {
    border-color: #46b450;
    background: #e7f5e8;
}

.cloud-customer-area-options-page .cloud-customer-area-notice.notice-success .notice-icon:before {
    content: "\f12a";
    color: #46b450;
}

.cloud-customer-area-options-page .cloud-customer-area-notice.notice-error {
    border-color: #dc3232;
    background: #f9dede;
}

.cloud-customer-area-options-page .cloud-customer-area-notice.notice-error .notice-icon:before {
    content: "\f153";
    color: #dc3232;
}

.cca-pro-required {
    color: #ed143d !important;
}